package com.example.api.core.data.core

import com.example.api.core.data.dto.AuthUserResponseDto
import com.example.api.core.data.dto.RegisterUserDto
import com.example.api.core.data.dto.SalesAndActionsDto
import com.example.api.core.data.dto.SignInUserDto
import com.example.api.core.data.dto.UserResponseDto
import retrofit2.http.Body
import retrofit2.http.GET
import retrofit2.http.POST

/**
 * Автор: Манякин Дмитрий (user5)
 * Дата создания: 27.05.2025
 * */

internal interface ApiService {

    @POST("collections/users/records")
    suspend fun register(@Body registerUserDto: RegisterUserDto): UserResponseDto

    @POST("collections/users/auth-with-password")
    suspend fun auth(@Body signInUserDto: SignInUserDto): AuthUserResponseDto

    @GET("collections/project/records")
    suspend fun salesAndProjects(): SalesAndActionsDto

//    @GET("collections/products/records")
//    suspend fun products():
}